import * as VError from 'verror';
export declare class PeerInboundHandshakeError extends VError {
    statusCode: number;
    remoteAddress: string;
    handshakeURL?: string;
    constructor(message: string, statusCode: number, remoteAddress: string, handshakeURL?: string);
}
export declare class NotEnoughPeersError extends VError {
    constructor(message: string);
}
export declare class RPCResponseError extends VError {
    peerIp: string;
    peerPort: number;
    constructor(message: string, cause: Error, peerIp: string, peerPort: number);
}
export declare class FetchPeerStatusError extends VError {
    constructor(message: string, cause: Error);
}
export declare class InvalidRPCResponseError extends VError {
    constructor(message: string);
}
export declare class RPCResponseAlreadySentError extends VError {
    constructor(message: string);
}
export declare class InvalidPeerError extends VError {
    constructor(message: string);
}
export declare class RequestFailError extends VError {
    constructor(message: string);
}
export declare class InvalidRPCRequestError extends VError {
    constructor(message: string);
}
export declare class InvalidProtocolMessageError extends VError {
    constructor(message: string);
}
