"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const VError = require("verror");
class PeerInboundHandshakeError extends VError {
    constructor(message, statusCode, remoteAddress, handshakeURL) {
        super(message);
        this.name = 'PeerInboundHandshakeError';
        this.statusCode = statusCode;
        this.remoteAddress = remoteAddress;
        this.handshakeURL = handshakeURL;
    }
}
exports.PeerInboundHandshakeError = PeerInboundHandshakeError;
class NotEnoughPeersError extends VError {
    constructor(message) {
        super(message);
        this.name = 'NotEnoughPeersError';
    }
}
exports.NotEnoughPeersError = NotEnoughPeersError;
class RPCResponseError extends VError {
    constructor(message, cause, peerIp, peerPort) {
        super(cause, message);
        this.name = 'RPCResponseError';
        this.peerIp = peerIp;
        this.peerPort = peerPort;
    }
}
exports.RPCResponseError = RPCResponseError;
class FetchPeerStatusError extends VError {
    constructor(message, cause) {
        super(cause, message);
        this.name = 'FetchPeerStatusError';
    }
}
exports.FetchPeerStatusError = FetchPeerStatusError;
class InvalidRPCResponseError extends VError {
    constructor(message) {
        super(message);
        this.name = 'InvalidRPCResponseError';
    }
}
exports.InvalidRPCResponseError = InvalidRPCResponseError;
class RPCResponseAlreadySentError extends VError {
    constructor(message) {
        super(message);
        this.name = 'ResponseAlreadySentError';
    }
}
exports.RPCResponseAlreadySentError = RPCResponseAlreadySentError;
class InvalidPeerError extends VError {
    constructor(message) {
        super(message);
        this.name = 'InvalidPeerError';
    }
}
exports.InvalidPeerError = InvalidPeerError;
class RequestFailError extends VError {
    constructor(message) {
        super(message);
        this.name = 'RequestFailError';
    }
}
exports.RequestFailError = RequestFailError;
class InvalidRPCRequestError extends VError {
    constructor(message) {
        super(message);
        this.name = 'InvalidRPCRequestError';
    }
}
exports.InvalidRPCRequestError = InvalidRPCRequestError;
class InvalidProtocolMessageError extends VError {
    constructor(message) {
        super(message);
        this.name = 'InvalidProtocolMessageError';
    }
}
exports.InvalidProtocolMessageError = InvalidProtocolMessageError;
//# sourceMappingURL=errors.js.map